
User Interface - Bug #7368

Hotel GUI "Guests Accommodation Report" crashes web version

05/20/2023 02:47 PM - Stanislav Lomany

Status: Test Start date:  

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

History

#1 - 05/20/2023 02:50 PM - Stanislav Lomany

Reproduction in Hotel GUI: open Guests tab, select html in the right lower corner and press Export button. The application crashes:

java.lang.NullPointerException

    at com.goldencode.p2j.ui.client.gui.driver.web.WebHtmlBrowser$Handler.lambda$handle$0(WebHtmlBrowser.java:

827)

    at com.goldencode.p2j.ui.chui.ThinClient.waitForEvent(ThinClient.java:17301)

    at com.goldencode.p2j.ui.chui.ThinClient.waitForWorker(ThinClient.java:14566)

    at com.goldencode.p2j.ui.chui.ThinClient.lambda$waitForWorker$73(ThinClient.java:14098)

    at com.goldencode.p2j.ui.chui.ThinClient.lambda$doInteractive$92(ThinClient.java:19507)

    at com.goldencode.p2j.ui.chui.ThinClient.doInteractive(ThinClient.java:19479)

    at com.goldencode.p2j.ui.chui.ThinClient.doInteractive(ThinClient.java:19507)

    at com.goldencode.p2j.ui.chui.ThinClient.waitForWorker(ThinClient.java:14097)

    at com.goldencode.p2j.ui.chui.ThinClient.waitFor(ThinClient.java:14040)

    at com.goldencode.p2j.ui.chui.ThinClient.waitFor(ThinClient.java:13989)

    at com.goldencode.p2j.ui.ClientExportsMethodAccess.invoke(Unknown Source)

    at com.goldencode.p2j.util.MethodInvoker.invoke(MethodInvoker.java:156)

    at com.goldencode.p2j.util.TraceHelper.trace(TraceHelper.java:145)

    at com.goldencode.p2j.net.Dispatcher.trace(Dispatcher.java:1083)

    at com.goldencode.p2j.net.Dispatcher.processInbound(Dispatcher.java:787)

    at com.goldencode.p2j.net.Conversation.block(Conversation.java:420)

    at com.goldencode.p2j.net.Conversation.waitMessage(Conversation.java:346)

    at com.goldencode.p2j.net.Queue.transactImpl(Queue.java:1220)

    at com.goldencode.p2j.net.Queue.transact(Queue.java:681)

    at com.goldencode.p2j.net.BaseSession.transact(BaseSession.java:272)

    at com.goldencode.p2j.net.HighLevelObject.transact(HighLevelObject.java:221)

    at com.goldencode.p2j.net.RemoteObject$RemoteAccess$Invoker.invoke(RemoteObject.java:1673)

    at com.goldencode.p2j.util.TraceHelper.trace(TraceHelper.java:145)

    at com.goldencode.p2j.net.RemoteObject$RemoteAccess.trace(RemoteObject.java:1498)

    at com.goldencode.p2j.net.RemoteObject$RemoteAccess.invokeCore(RemoteObject.java:1467)

    at com.goldencode.p2j.net.InvocationStub.invoke(InvocationStub.java:144)

    at com.sun.proxy.$Proxy13.trigger(Unknown Source)

    at com.goldencode.p2j.ui.chui.ThinClient.trigger(ThinClient.java:15362)

    at com.goldencode.p2j.ui.chui.ThinClient.invokeTriggers(ThinClient.java:21970)

    at com.goldencode.p2j.ui.chui.ThinClient.invokeTriggers(ThinClient.java:21779)

    at com.goldencode.p2j.ui.chui.ThinClient.invokeTriggers(ThinClient.java:21732)

    at com.goldencode.p2j.ui.chui.ThinClient.invokeTriggers(ThinClient.java:21618)

    at com.goldencode.p2j.ui.chui.ThinClient.processProgressEvent(ThinClient.java:20867)

    at com.goldencode.p2j.ui.chui.ThinClient.processEventsWorker(ThinClient.java:19622)

    at com.goldencode.p2j.ui.chui.ThinClient.pop(ThinClient.java:18484)

    at com.goldencode.p2j.ui.chui.ThinClient.eventBracket(ThinClient.java:18467)

    at com.goldencode.p2j.ui.chui.ThinClient.eventDrawingBracket(ThinClient.java:18389)

    at com.goldencode.p2j.ui.chui.ThinClient.applyWorker(ThinClient.java:18133)

    at com.goldencode.p2j.ui.chui.ThinClient.waitForWorker(ThinClient.java:14659)

    at com.goldencode.p2j.ui.chui.ThinClient.lambda$waitForWorker$73(ThinClient.java:14098)

    at com.goldencode.p2j.ui.chui.ThinClient.lambda$doInteractive$92(ThinClient.java:19507)

    at com.goldencode.p2j.ui.chui.ThinClient.doInteractive(ThinClient.java:19479)

    at com.goldencode.p2j.ui.chui.ThinClient.doInteractive(ThinClient.java:19507)

    at com.goldencode.p2j.ui.chui.ThinClient.waitForWorker(ThinClient.java:14097)

    at com.goldencode.p2j.ui.chui.ThinClient.waitFor(ThinClient.java:14040)
    at com.goldencode.p2j.ui.chui.ThinClient.waitFor(ThinClient.java:13989)

    at com.goldencode.p2j.ui.ClientExportsMethodAccess.invoke(Unknown Source)

    at com.goldencode.p2j.util.MethodInvoker.invoke(MethodInvoker.java:156)

    at com.goldencode.p2j.util.TraceHelper.trace(TraceHelper.java:145)

    at com.goldencode.p2j.net.Dispatcher.trace(Dispatcher.java:1083)

    at com.goldencode.p2j.net.Dispatcher.processInbound(Dispatcher.java:787)

    at com.goldencode.p2j.net.Conversation.block(Conversation.java:420)

    at com.goldencode.p2j.net.Conversation.waitMessage(Conversation.java:346)

    at com.goldencode.p2j.net.Queue.transactImpl(Queue.java:1220)

    at com.goldencode.p2j.net.Queue.transact(Queue.java:681)

    at com.goldencode.p2j.net.BaseSession.transact(BaseSession.java:272)

    at com.goldencode.p2j.net.HighLevelObject.transact(HighLevelObject.java:221)

    at com.goldencode.p2j.net.RemoteObject$RemoteAccess$Invoker.invoke(RemoteObject.java:1673)

    at com.goldencode.p2j.util.TraceHelper.trace(TraceHelper.java:145)

    at com.goldencode.p2j.net.RemoteObject$RemoteAccess.trace(RemoteObject.java:1498)

    at com.goldencode.p2j.net.RemoteObject$RemoteAccess.invokeCore(RemoteObject.java:1467)

    at com.goldencode.p2j.net.InvocationStub.invoke(InvocationStub.java:144)

    at com.sun.proxy.$Proxy10.standardEntry(Unknown Source)

    at com.goldencode.p2j.main.ClientCore.start(ClientCore.java:476)

    at com.goldencode.p2j.main.ClientDriver.start(ClientDriver.java:270)

    at com.goldencode.p2j.main.CommonDriver.process(CommonDriver.java:539)

    at com.goldencode.p2j.main.ClientDriver.process(ClientDriver.java:347)

    at com.goldencode.p2j.main.ClientDriver.main(ClientDriver.java:390)

#2 - 05/22/2023 04:13 AM - Hynek Cihlar

- Start date deleted (05/20/2023)

- Assignee set to Hynek Cihlar

- Status changed from New to WIP

#3 - 05/22/2023 04:20 AM - Hynek Cihlar

- % Done changed from 0 to 100

- Status changed from WIP to Review

7368a revision 14576 resolves the reported NPE as well as requested resource not properly resolved when context not given. Please review.

#4 - 05/22/2023 12:30 PM - Greg Shah

Code Review Task Branch 7368a Revision 14576

No objections.

You can merge this to trunk after 7140a is merged.
#5 - 05/23/2023 07:20 AM - Hynek Cihlar

- Status changed from Review to Test

7368a merged to trunk as revision 14581 and archived.
